
QGIS Application - Bug report #16560

regression: re-loading a project within the same session fails, removes all layers

2017-05-17 04:14 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24462

Description

This regression occured within the last 24 hours (May 16-17, 2017). Re-loading a project (or loading a different project which shares

same data sources as a currently opened project) within a same QGIS session fails to load layers, resulting in partial to totally blank

project.

Steps to reproduce

    1. Open QGIS

    2. Load a project

    3. Without closing QGIS, re-load the same project

    4. Notice the absence of any layer, and the blank canvas :)

Associated revisions

Revision 77cd7afa - 2017-05-31 08:51 AM - Mathieu Pellerin - nIRV

fix project re-load missing layers (fixes #16560)

History

#1 - 2017-05-17 06:20 AM - Mathieu Pellerin - nIRV

- Status changed from Open to Closed

Closing, issue appears to either be localized, or not at all linked to the last 24-hour changes. I'll re-open if I figure out what's happening here.

#2 - 2017-05-19 10:47 AM - Mathieu Pellerin - nIRV

- Status changed from Closed to Reopened

Re-opening, Matthias has been able to replicate regression.

I've made a small video showing the issue: https://www.youtube.com/watch?v=6freJLe06fk

#3 - 2017-05-19 10:51 AM - Mathieu Pellerin - nIRV

- File regression.mp4 added

Youtube decided the video was violating its community guidelines. Adding video as an attached mp4 here.
https://www.youtube.com/watch?v=6freJLe06fk


#4 - 2017-05-19 11:06 AM - Mathieu Pellerin - nIRV

Note: my initial estimated time of regression is wrong; I haven't been able to dissect a commit, but problem did emerge earlier than May 16.

#5 - 2017-05-21 07:53 AM - Mathieu Pellerin - nIRV

git bisect spoke out:

fe677040f8c31d4f6fb73489d7fec531166293e3 is the first bad commit

commit fe677040f8c31d4f6fb73489d7fec531166293e3

Author: Nyall Dawson <nyall.dawson@gmail.com>

Date:   Fri May 5 21:27:37 2017 +1000

    Cleanup project closing

    - ensure that layers are removed when clearing projects

    - ensure that project is cleared before destruction

#6 - 2017-05-31 08:51 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Applied in changeset commit:qgis|77cd7afaaa391469eefee1037d61489db3eb9b14.

Files
